UMOUNT(8)

NAZWA
umount - odmontowuje systemy plików

SKŁADNIA
umount -a [-dflnrv] [-t typ-systemu-plików] [-O opcja...]

umount [-dflnrv] {katalog|urządzenie}...

umount -h|-V

OPIS
Polecenie umount odłącza wymienione systemy plików z hierarchii plików. System plików jest określany przez podanie katalogu, w którym został zamontowany. Podanie urządzenia, na którym system plików istnieje, może również działać, jednakże jest przestarzałe, głównie dlatego, że zawiedzie, gdy urządzenie jest zamontowane w więcej niż jednym katalogu.

Proszę zauważyć, że system plików nie może być odmontowany, gdy jest "busy" (zajęty) - na przykład, gdy są na nim otwarte pliki, gdy jakiś proces ma tam swój katalog roboczy albo gdy w użytku jest znajdujący się na nim plik wymiany. Przeszkadzającym procesem może być nawet sam umount - otwiera on libc, zaś libc z kolei może otwierać na przykład pliki ustawień locale. Leniwe odmontowywanie ("lazy umount") rozwiązuje ten problem.

OPCJE

-a, --all
    Odmontowuje wszystkie systemy plików opisane w /etc/mtab, z wyjątkiem proc.

-A, --all-targets
    Odmontowuje wszystkie punkty montowanie w bieżącej przestrzeni nazw dla podanego systemu plików. System plików można podać za pomocą jednego z punktów montowania lub za pomocą nazwy urządzenia (lub UUID itp.). Jeśli ta opcja jest użyta łącznie z --recursive, to wszystkie montowania zagnieżdżone w tym systemie plików są odmontowywane. Opcja jest obsługiwane tylko w systemach, w których /etc/mtab jest dowiązaniem symbolicznym do /proc/mounts.

-c, --no-canonicalize
    Nie normalizuje ścieżek. Więcej szczegółów na temat tej opcji można uzyskać, zapoznając się ze stroną podręcznika mount(8). Proszę zauważyć, że umount nie przekazuje tej opcji programom pomocniczym /sbin/umount.typ.

-d, --detach-loop
    Jeśli odmontowane urządzenie było urządzeniem loop, to także zwalnia to urządzenie. Opcja ta jest niepotrzebna, jeśli urządzenie było inicjowane przez mount(8) - w takim przypadku domyślnie była włączona funkcjonalność "autoclear".

--fake
    Powoduje wykonywanie wszystkiego poza faktycznym wywołaniem funkcji systemowej lub pomocniczego programu odmontowywania. Jeśli nie jest to oczywiste: "udaje" to odmontowanie systemu plików. Opcja może być używana do usuwania wpisów z /etc/mtab dla urządzeń, które zamontowano wcześniej z opcją -n.

-f, --force
    Wymusza odmontowanie (w przypadku nieosiągalnego systemu NFS). (Wymaga jądra 2.1.116 lub późniejszego). Proszę zauważyć, że ta opcja nie gwarantuje, że polecenie umount się nie zawiesi. Zaleca się używanie pełnych ścieżek nie zawierających dowiązań symbolicznych, aby umount mógł uniknąć niepotrzebnych wywołań systemowych readlink oraz stat na nieosiągalnym systemie NFS.

-i, --internal-only
    Nie wywołuje programu pomocniczego /sbin/umount.system-plików, nawet jeśli istnieje. Domyślnie program pomocniczy jest wywoływany, jeśli istnieje.

-l, --lazy
    Leniwe odmontowanie ("lazy umount"). Od razu odłącza system plików od hierarchii systemu plików i czyści wszystkie referencje do tego systemu plików, gdy tylko przestanie być zajęty ("busy"). (Wymaga jądra 2.4.11 lub późniejszego).

-n, --no-mtab
    Odmontowuje bez zapisywania w /etc/mtab.

-O, --test-opts opcja...
    Odmontowuje tylko te systemy plików, które mają podane opcje wpisane w /etc/fstab. Można podać więcej niż jedną opcję, używając listy oddzielanej przecinkami. Lista opcji może być poprzedzona słowem no, aby podać opcje, dla których nie powinna być podejmowana żadna akcja.

-R, --recursive
    Rekurencyjnie odmontowuje podany katalog. Rekurencja zostanie przerwana, jeśli którakolwiek z operacji odmontowania w łańcuchu zwróci błąd z jakiegokolwiek powodu. Związek między punktami montowania jest określany na podstawie wpisów w /proc/self/mountinfo. System plików musi być podany za pomocą ścieżki; odmontowywanie rekurencyjne za pomocą nazwy urządzenia (lub jego UUID) nie jest obsługiwane.

-r, --read-only
    Jeśli odmontowanie się nie powiedzie, próbuje zamontować ponownie w trybie tylko do odczytu.

-t, --types typ...
    Wskazuje, że akcje powinny być dokonywane tylko na systemach plików określonego typu. Można podać więcej niż jeden typ, używając listy oddzielanej przecinkami. Lista systemów plików może być poprzedzona słowem no, aby wskazać, że akcja wymienionych systemów plików nie dotyczy. Proszę zauważyć, że umount czyta informacje o zamontowanych systemach plików z jądra (/proc/mounts) i nazwy systemów plików mogą się różnić od nazwy podanych w /etc/fstab (np. "nfs4" vs "nfs").

-v, --verbose
    Tryb szczegółowy.

-V, --version
    Wypisuje informację o wersji programu i kończy działanie

-h, --help
    Wyświetla tekst pomocy i wychodzi.

URZĄDZENIE PĘTLI ZWROTNEJ - LOOP DEVICE
Polecenie umount automatycznie odłączy urządzenie loop poprzednio zainicjowane przez mount(8), niezależnie od /etc/mtab. W tym przypadku urządzenie jest inicjowane ze znacznikiem "autoclear" (patrz losetup(8) po więcej informacji). W przeciwnym razie należy użyć opcji --detach-loop lub wywołać losetup -d <device>. Funkcjonalność autoclear jest obsługiwana od wersji 2.6.25 jądra Linuksa.

ZEWNĘTRZNE PROGRAMY POMOCNICZE
Składnia zewnętrznych programów pomocniczych umount jest następująca:

    umount.przyrostek {katalog|urządzenie} [-flnrv] [-t typ.podtyp]

gdzie przyrostek jest typem systemu plików (lub wartością z opcji mtab "uhelper=" lub "helper="). Opcja -t jest używana do systemów plików, które obsługują podtypy. Na przykład:

    umount.fuse -t fuse.sshfs

Gdy użytkownik niebędący rootem chce odmontować punkt montowania, którego niezdefiniowano w /etc/fstab (np. urządzenie zamontowane przez udisks(1)), można w /etc/mtab użyć opcji uhelper=coś (nieuprzywilejowany program pomocniczy umount).

Opcja montowania helper=typ przekierowuje wszystkie żądania umount do programu /sbin/umount.typ, niezależnie od UID.

PLIKI

/etc/mtab
    tabela zamontowanych systemów plików

/etc/fstab
    tabela zamontowanych systemów plików

ŚRODOWISKO

LIBMOUNT_FSTAB=<ścieżka>
    nadpisuje domyślną lokalizację pliku fstab (ignorowane w przypadku suid)

LIBMOUNT_MTAB=<ścieżka>
    nadpisuje domyślną lokalizację pliku mtab (ignorowane w przypadku suid)

LIBMOUNT_DEBUG=all
    włącza komunikaty debugowania biblioteki libmount

ZOBACZ TAKŻE
umount(2), mount(8), losetup(8)

HISTORIA
Polecenie umount pojawiło się w wersji 6 AT&T UNIX.

DOSTĘPNOŚĆ
Polecenie umount jest częścią pakietu util-linux i jest dostępne pod adresem archiwum jąder Linuksa (ftp://ftp.kernel.org/pub/linux/utils/util-linux/).

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Przemek Borys (PTM) <pborys@dione.ids.pl>, Robert Luberda (PTM) <robert@debian.org> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 2.28.2 oryginału.